namespace c_forms
{
    public partial class MainForm : Form
    {
        public MainForm()
        {
            InitializeComponent();
        }

        private void OnShowToolForm(object sender, EventArgs e)
        {
            if (_toolForm == null || _toolForm.IsDisposed)
            {
                _toolForm = new();
                _toolForm.Show(this);
                //Alternatively:
                //_toolForm.Owner = this;
                //_toolForm.Show();
            }
        }

        private void OnShowDialogForm(object sender, EventArgs e)
        {
            var dialog = new DialogForm();
            var result = dialog.ShowDialog(this);
            if (result == DialogResult.OK)
                Close();
        }

        private ToolForm _toolForm;
    }
}
