﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace d_controls
{
    public partial class BDocking : Form
    {
        public BDocking(Form owner)
        {
            InitializeComponent();
            Owner = owner;
        }

        private void ChangeOrder(object sender, MouseEventArgs e)
        {
            if (sender is Label lbl)
            {
                if (e.Button == MouseButtons.Left)
                {
                    lbl.SendToBack();
                }
                else if (e.Button == MouseButtons.Right)
                {
                    lbl.BringToFront();
                }
            }
        }

        private void HideForm(object sender, FormClosingEventArgs e)
        {
            if (e.CloseReason != CloseReason.FormOwnerClosing)
            {
                Hide();
                e.Cancel = true;
            }
        }
    }
}
