﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace d_controls
{
    public partial class Bounds : Form
    {
        public Bounds(Form owner)
        {
            InitializeComponent();
            Owner = owner;

            lblTLWH.Left = 5; lblTLWH.Top = 5; lblTLWH.Width = 200; lblTLWH.Height = 30;
            //Right == Left + Width [read-only], Bottom == Top + Height [read-only]

            lblLS.Location = new(5, 40); lblLS.Size = new(200, 30); // Those properties are use by Designer
            lblBounds.Bounds = new(5, 75, 200, 30);
            lblSB.SetBounds(5, 110, 200, 30/*, BoundsSpecified.All*/);
            lblLCS.Location = new(5, 145); lblLCS.ClientSize = new(200, 30); //border not included in ClientSize
            //ClientRectangle == ((0,0), ClientSize) [read-only]
        }

        private void HideForm(object sender, FormClosingEventArgs e)
        {
            if (e.CloseReason != CloseReason.FormOwnerClosing)
            {
                Hide();
                e.Cancel = true;
            }
        }
    }
}
