using d_controls;

namespace c_controls
{
    public partial class MainForm : Form
    {
        public MainForm()
        {
            InitializeComponent();
            btnBounds.Tag = new Bounds(this);
            btnAnchors.Tag = new AAnchors(this);
            btnDock.Tag = new BDocking(this);
            btnLabels.Tag = new ALabels(this);
            btnTextBoxes.Tag = new BTextBoxes(this);
            btnButtons.Tag = new CButtons(this);
        }

        private void OnShowForm(object sender, EventArgs e)
        {
            if (sender is Button btn && btn.Tag is Form f && !f.Visible)
                f.Show();
        }
    }
}
